<?php

use Config\Paths;

// Valid PHP Version?
$minPHPVersion = '8.0';
if (version_compare(PHP_VERSION, $minPHPVersion, '<')) {
    die(
        "Your PHP version must be {$minPHPVersion} or higher to run CodeIgniter. Current version: " .
            PHP_VERSION
    );
}
unset($minPHPVersion);

// Path to the front controller (this file)
define('FCPATH', __DIR__ . DIRECTORY_SEPARATOR);

/*
 *---------------------------------------------------------------
 * BOOTSTRAP THE APPLICATION
 *---------------------------------------------------------------
 * This process sets up the path constants, loads and registers
 * our autoloader, along with Composer's, loads our constants
 * and fires up an environment-specific bootstrapping.
 */

// Ensure the current directory is pointing to the front controller's directory
chdir(__DIR__);

// Load our paths config file
// This is the line that might need to be changed, depending on your folder structure.
require realpath(FCPATH . '../app/Config/Paths.php') ?:
    FCPATH . '../app/Config/Paths.php';
// ^^^ Change this if you move your application folder

$paths = new Paths();

// Location of the framework bootstrap file.
$bootstrap =
    rtrim($paths->systemDirectory, '\\/ ') .
    DIRECTORY_SEPARATOR .
    'bootstrap.php';
$app = require realpath($bootstrap) ?: $bootstrap;

/*
 *---------------------------------------------------------------
 * LAUNCH THE APPLICATION
 *---------------------------------------------------------------
 * Now that everything is setup, it's time to actually fire
 * up the engines and make this app do its thang.
 */
$app->run();
